{% extends '@ElbotradeLayout/Layout/base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    <link type="text/css" rel="stylesheet" href="{{ asset('bundles/elbotradeproduct/stylesheets/productCatalogStyle.css') }}"/>
{% endblock %}

{% block header %}
    {% set active = 'products' %}
    {{ parent() }}
{% endblock %}

{% block content %}
    <main class="text-center">
        <!--Section 1-->
        <section class="well-xs">
            <div class="container container-wide">

                <div id="tree">
                    {% if subCategories|length > 0 %}
                        {% for subCategory in subCategories %}
                            <div class="panel-group" id="accordion" role="tablist" aria-multiselectable="true">
                                {% include('@ElbotradeCatalog/Partial/subCategories.html.twig') with {'category': subCategory, 'level': 0} only %}
                            </div>
                        {% endfor %}
                    {% else %}
                        <h4><span class="icon icon-user-md icon-default fl-justicons-attention5">{{ 'products.no_category'|trans({}, 'content') }}</span></h4>
                    {% endif %}
                </div>
            </div>
        </section>
    </main>

    <link type="text/css" rel="stylesheet" href="{{ asset('bundles/elbotradelayout/css/jquery.fancybox.css') }}"/>
    <script src="{{ asset('bundles/elbotradelayout/js/jquery.fancybox.js') }}"></script>

{% endblock %}

{% block javascripts %}
    {{ parent() }}
    <script type="text/javascript">
        $(document).on('click', '.product-title', function() {
            if ($(this).attr('aria-expanded') == 'true') {
                var tis = this;
                var aria = $(tis).attr('aria-controls');
                var id = aria.replace('collapse', '');
                var data_parent = $(tis).attr('data-parent');
                data_parent = data_parent.replace('#accordion', '');
                var url = '{{ path("elbotrade-api-product-list", {'taxonId': 'id'}) }}';
                url = url.replace('id', id);
                $.ajax({
                    type: 'GET',
                    url: url,
                    contentType: 'text/plain',
                    xhrFields: {
                        withCredentials: false
                    },
                    context: document.body,
                    dataType: 'html'
                }).done(function(data) {
                    if (data_parent < 6) {
                        $('div #collapse' + id).find('.product-list').html(data).fadeIn( 1000 );
                    } else {
                        $('div #collapse' + data_parent).find('#collapse' + id).find('.product-list').html(data).fadeIn( 1000 );
                    }
                });
            }
        })
    </script>
{% endblock %}